#ifndef HKCAMERA_H
#define HKCAMERA_H

#include <QObject>
#include <stdio.h>
#include "HCNetSDK.h"
#include <time.h>
#include<QDir>

class hkcamera : public QObject
{
    Q_OBJECT
public:
    explicit hkcamera(QObject *parent = nullptr);

    BOOL connect(QString ip, int port, QString name, QString password);
    BOOL displaypic(HWND hWnd);
    void stopdisplaypic();
    BOOL savepic(QString filename);
    void logout();

private:
    LONG m_userid = 0;
    LONG m_playhandle = -1;


signals:

public slots:
};

#endif // HKCAMERA_H
