#ifndef INFOSERIALIZE_H
#define INFOSERIALIZE_H

#include <QString>
#include <QtDebug>
#include <QDataStream>

class infoserialize
{
public:
    QString qstrip;
    QString qstraccount;
    QString qstrpwd;
    QString qstrdir;

    //QString strPortName;
    QString srtBautRate;
    QString srtDataBit;
    QString srtParity;
    QString srtStop;

public:
    infoserialize();

    // 重写QDataStream& operator<<操作符，做数据序列化操作
        friend QDataStream& operator<<(QDataStream &stream, const infoserialize &myinfoserialize)
        {
            // 将数据输入流对象中
            stream << myinfoserialize.qstrip;
            stream << myinfoserialize.qstraccount;
            stream << myinfoserialize.qstrpwd;
            stream << myinfoserialize.qstrdir;

            //stream << myinfoserialize.strPortName;
            stream << myinfoserialize.srtBautRate;
            stream << myinfoserialize.srtDataBit;
            stream << myinfoserialize.srtParity;
            stream << myinfoserialize.srtStop;

            return stream;
        }

        // 重写QDataStream& operator>>操作符，做数据反序列化操作
        friend QDataStream& operator>>(QDataStream &stream, infoserialize &myinfoserialize)
        {
            // 从流对象中输出数据到结构体引用中

            stream >> myinfoserialize.qstrip;
            stream >> myinfoserialize.qstraccount;
            stream >> myinfoserialize.qstrpwd;
            stream >> myinfoserialize.qstrdir;

            //stream >> myinfoserialize.strPortName;
            stream >> myinfoserialize.srtBautRate;
            stream >> myinfoserialize.srtDataBit;
            stream >> myinfoserialize.srtParity;
            stream >> myinfoserialize.srtStop;
            return stream;
        }




};

#endif // INFOSERIALIZE_H
