#-------------------------------------------------
#
# Project created by QtCreator 2023-02-17T16:49:54
#
#-------------------------------------------------

QT       += core gui
QT       += serialport
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = hksdktest
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11

SOURCES += \
        main.cpp \
        dialog.cpp \
        serialport/serailport.cpp \
    hkcamera/hkcamera.cpp \
    infoserialize/infoserialize.cpp \
    mythread.cpp

HEADERS += \
        dialog.h \
    include/DataType.h \
    include/DecodeCardSdk.h \
    include/HCNetSDK.h \
    include/plaympeg4.h \
    serialport/serailport.h \
    hkcamera/hkcamera.h \
    infoserialize/infoserialize.h \
    mythread.h

FORMS += \
        dialog.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

LIBS += $$PWD/lib/GdiPlus.lib
LIBS += $$PWD/lib/HCCore.lib
LIBS += $$PWD/lib/HCNetSDK.lib
LIBS += $$PWD/lib/PlayCtrl.lib

INCLUDEPATH += $$PWD/include
DEPENDPATH += $$PWD/include

QT       += network

